fr.enssat.BoulderDash.controllers

## Class GameKeyController

- java.lang.Object
- - fr.enssat.BoulderDash.controllers.GameKeyController

All Implemented Interfaces:
  java.awt.event.KeyListener, java.util.EventListener

    public class GameKeyController
    extends java.lang.Object
    implements java.awt.event.KeyListener

GameKeyController Manages the key events controller.

Since:
  2015-06-19
Author:
  Colin Leverger <me@colinleverger.fr>

### Constructor Summary

Constructors
Constructor and Description
`GameKeyController(LevelModel levelModel, AudioLoadHelper audioLoadHelper)` Class constructor

### Method Summary

Methods
`void` `keyPressed(java.awt.event.KeyEvent e)` Handles the 'key pressed' event
`void` `keyReleased(java.awt.event.KeyEvent e)` Handles the 'key released' event
`void` `keyTyped(java.awt.event.KeyEvent e)` Handles the 'key typed' event

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GameKeyController

    public GameKeyController(LevelModel levelModel,
                     AudioLoadHelper audioLoadHelper)

Class constructor

Parameters:
  `levelModel` - Level model

### Method Detail

#### keyPressed

    public void keyPressed(java.awt.event.KeyEvent e)

Handles the 'key pressed' event

Specified by:
  `keyPressed` in interface `java.awt.event.KeyListener`
Parameters:
  `e` - Key event

#### keyReleased

    public void keyReleased(java.awt.event.KeyEvent e)

Handles the 'key released' event

Specified by:
  `keyReleased` in interface `java.awt.event.KeyListener`
Parameters:
  `e` - Key event

#### keyTyped

    public void keyTyped(java.awt.event.KeyEvent e)

Handles the 'key typed' event

Specified by:
  `keyTyped` in interface `java.awt.event.KeyListener`
Parameters:
  `e` - Key event